Warning: Specifications are still subject to change!

# vstprogset

vst4cs -- VST plugin hosting in Csound on Windows.

## Description

vstprogset sets one of the programs in an .fxb bank.

## Syntax

vstprogset instance, kprogram

## Initialization

instance -- the number which identifies the plugin, returned previously by the vstinit opcode.

## Performance

kprogram -- The number of the program to set

Programs vary according to the plugin and bank. To find out what programs are available, use the verbose option when loading the plugin with vstinit.

## Examples

    /* orc */
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 2
    giHandle1 vstinit "c:/vstplugins/cheeze/cheeze machine.dll",1
    instr 4
    vstbankload gihandle1,"c:/vstplugins/cheeze/chengo'scheese.fxb"
    vstprogset gihandle1, 4
    vstinfo gihandle1
    endin
    /* sco */
    i 3 0 21
    i4 1 1 57 32
    e

## Credits

Authors:
Cabrera, Andres
Bogota, Colombia
2004
Gogins, Michael
New York, USA
2004